commit 6801770e30d9f37ed1ca35d2a3df082023b60b42
Author: Christian Persch <chpe@gnome.org>
Date:   Mon Mar 26 13:55:41 2012 +0200

    Version 0.6.5

 NEWS         |    6 ++++++
 configure.in |    2 +-
 2 files changed, 7 insertions(+), 1 deletions(-)

commit 0cbb0dfed7350ed48a12d56925cdd76255891aa5
Author: Adel Gadllah <adel.gadllah@gmail.com>
Date:   Sun Mar 18 11:47:51 2012 +0100

    cr-rgb: Fix mapping for 'green'
    
    Green is supposed to be #00FF00 not #008000.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=672332

 src/cr-rgb.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit c3f70d2950feb7a7934c94b14f1294362f0adf58
Author: Christian Persch <chpe@gnome.org>
Date:   Mon Feb 6 20:28:12 2012 +0100

    Post release version bump

 configure.in |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 9431dcffa84b80f5867a84785da5bd154594fe50
Author: Christian Persch <chpe@gnome.org>
Date:   Mon Feb 6 20:24:03 2012 +0100

    Update NEWS for 0.6.4

 NEWS |    9 +++++++++
 1 files changed, 9 insertions(+), 0 deletions(-)

commit f2cfbcd5b00cbbd90fc919f343d86f0500f5368d
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Mon Jan 9 11:45:42 2012 +0800

    Update Visual C++ .sln files
    
    These files must be in Windows/DOS EOL to function correctly-somehow GIT
    preferred to have them in UNIX EOL in my last patch.

 build/win32/vs10/libcroco.sln |  232 ++++++++++++++++----------------
 build/win32/vs9/libcroco.sln  |  302 ++++++++++++++++++++--------------------
 2 files changed, 267 insertions(+), 267 deletions(-)

commit da769539cdfb1001e415aa3e6849a0da27be39af
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Tue Dec 20 16:34:34 2011 +0800

    Bug 666248: Visual C++ compilation support
    
    This enables libcroco to be compiled with Visual C++ 2008/2010, along
    with its test programs.  A libcroco.symbols is included to export the
    symbols from the DLL that is built in the process, and the projects
    for the main libcroco DLL is done in a way where their source file
    listings are filled in during "make dist" as they could be changed from
    time to time so to simplify maintenanace work.  Versioning stuff are
    also done via autotools as far as possible also.
    
    The .sln files have no simple way to include the LGPL 2.1+ terms without
    causing trouble, so the text for them is included as follows, for
    references.
    ------
    This file is part of The Croco Library
    This program is free software; you can redistribute it and/or
    modify it under the terms of version 2.1 of the GNU Lesser General Public
    License as published by the Free Software Foundation.
    
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
    
    You should have received a copy of the GNU Lesser General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
    USA
    
    Author: Fan, Chun-wei
    See COPYRIGHTS file for copyright information.
    ------

 Makefile.am                              |    5 +-
 build/Makefile.am                        |   21 ++
 build/win32/Makefile.am                  |   21 ++
 build/win32/vs10/Makefile.am             |   44 +++
 build/win32/vs10/croco.vcxproj.filtersin |   39 +++
 build/win32/vs10/croco.vcxprojin         |  210 ++++++++++++
 build/win32/vs10/csslint.vcxproj         |  192 +++++++++++
 build/win32/vs10/csslint.vcxproj.filters |   33 ++
 build/win32/vs10/install.vcxproj         |  152 +++++++++
 build/win32/vs10/libcroco.props.in       |  174 ++++++++++
 build/win32/vs10/libcroco.sln            |  116 +++++++
 build/win32/vs10/test0.vcxproj           |  193 +++++++++++
 build/win32/vs10/test0.vcxproj.filters   |   36 ++
 build/win32/vs10/test1.vcxproj           |  193 +++++++++++
 build/win32/vs10/test1.vcxproj.filters   |   36 ++
 build/win32/vs10/test2.vcxproj           |  193 +++++++++++
 build/win32/vs10/test2.vcxproj.filters   |   36 ++
 build/win32/vs10/test3.vcxproj           |  193 +++++++++++
 build/win32/vs10/test3.vcxproj.filters   |   36 ++
 build/win32/vs10/test4.vcxproj           |  193 +++++++++++
 build/win32/vs10/test4.vcxproj.filters   |   36 ++
 build/win32/vs10/test5.vcxproj           |  193 +++++++++++
 build/win32/vs10/test5.vcxproj.filters   |   36 ++
 build/win32/vs10/test6.vcxproj           |  193 +++++++++++
 build/win32/vs10/test6.vcxproj.filters   |   36 ++
 build/win32/vs9/Makefile.am              |   34 ++
 build/win32/vs9/croco.vcprojin           |  229 +++++++++++++
 build/win32/vs9/csslint.vcproj           |  189 +++++++++++
 build/win32/vs9/install.vcproj           |   99 ++++++
 build/win32/vs9/libcroco.sln             |  151 +++++++++
 build/win32/vs9/libcroco.vsprops.in      |  132 ++++++++
 build/win32/vs9/test0.vcproj             |  190 +++++++++++
 build/win32/vs9/test1.vcproj             |  190 +++++++++++
 build/win32/vs9/test2.vcproj             |  190 +++++++++++
 build/win32/vs9/test3.vcproj             |  190 +++++++++++
 build/win32/vs9/test4.vcproj             |  190 +++++++++++
 build/win32/vs9/test5.vcproj             |  190 +++++++++++
 build/win32/vs9/test6.vcproj             |  190 +++++++++++
 config.h.win32.in                        |   99 ++++++
 configure.in                             |    7 +
 src/Makefile.am                          |   34 ++
 src/libcroco.symbols                     |  538 ++++++++++++++++++++++++++++++
 42 files changed, 5449 insertions(+), 3 deletions(-)

commit 58951cf83066f19b257ffce12d9b1c049329f21f
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Tue Dec 20 16:35:12 2011 +0800

    Revert "Bug 666248: Visual C++ compilation support"
    
    This reverts commit 642ac3f675176ee6c2e124eac86dd85b1b1816e0.

 Makefile.am                              |    5 +-
 build/Makefile.am                        |   21 --
 build/win32/Makefile.am                  |   21 --
 build/win32/vs10/Makefile.am             |   44 ---
 build/win32/vs10/croco.vcxproj.filtersin |   39 ---
 build/win32/vs10/croco.vcxprojin         |  210 ------------
 build/win32/vs10/csslint.vcxproj         |  192 -----------
 build/win32/vs10/csslint.vcxproj.filters |   33 --
 build/win32/vs10/install.vcxproj         |  152 ---------
 build/win32/vs10/libcroco.propsin        |  174 ----------
 build/win32/vs10/libcroco.sln            |  116 -------
 build/win32/vs10/test0.vcxproj           |  193 -----------
 build/win32/vs10/test0.vcxproj.filters   |   36 --
 build/win32/vs10/test1.vcxproj           |  193 -----------
 build/win32/vs10/test1.vcxproj.filters   |   36 --
 build/win32/vs10/test2.vcxproj           |  193 -----------
 build/win32/vs10/test2.vcxproj.filters   |   36 --
 build/win32/vs10/test3.vcxproj           |  193 -----------
 build/win32/vs10/test3.vcxproj.filters   |   36 --
 build/win32/vs10/test4.vcxproj           |  193 -----------
 build/win32/vs10/test4.vcxproj.filters   |   36 --
 build/win32/vs10/test5.vcxproj           |  193 -----------
 build/win32/vs10/test5.vcxproj.filters   |   36 --
 build/win32/vs10/test6.vcxproj           |  193 -----------
 build/win32/vs10/test6.vcxproj.filters   |   36 --
 build/win32/vs9/Makefile.am              |   34 --
 build/win32/vs9/croco.vcprojin           |  229 -------------
 build/win32/vs9/csslint.vcproj           |  189 -----------
 build/win32/vs9/install.vcproj           |   99 ------
 build/win32/vs9/libcroco.sln             |  151 ---------
 build/win32/vs9/libcroco.vspropsin       |  132 --------
 build/win32/vs9/test0.vcproj             |  190 -----------
 build/win32/vs9/test1.vcproj             |  190 -----------
 build/win32/vs9/test2.vcproj             |  190 -----------
 build/win32/vs9/test3.vcproj             |  190 -----------
 build/win32/vs9/test4.vcproj             |  190 -----------
 build/win32/vs9/test5.vcproj             |  190 -----------
 build/win32/vs9/test6.vcproj             |  190 -----------
 config.h.win32.in                        |   99 ------
 configure.in                             |    7 -
 src/Makefile.am                          |   34 --
 src/libcroco.symbols                     |  538 ------------------------------
 42 files changed, 3 insertions(+), 5449 deletions(-)

commit 642ac3f675176ee6c2e124eac86dd85b1b1816e0
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Tue Dec 20 16:34:34 2011 +0800

    Bug 666248: Visual C++ compilation support
    
    This enables libcroco to be compiled with Visual C++ 2008/2010, along
    with its test programs.  A libcroco.symbols is included to export the
    symbols from the DLL that is built in the process, and the projects
    for the main libcroco DLL is done in a way where their source file
    listings are filled in during "make dist" as they could be changed from
    time to time so to simplify maintenanace work.  Versioning stuff are
    also done via autotools as far as possible also.
    
    The .sln files have no simple way to include the LGPL 2.1+ terms without
    causing trouble, so the text for them is included as follows, for
    references.
    ------
    This file is part of The Croco Library
    This program is free software; you can redistribute it and/or
    modify it under the terms of version 2.1 of the GNU Lesser General Public
    License as published by the Free Software Foundation.
    
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
    
    You should have received a copy of the GNU Lesser General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
    USA
    
    Author: Fan, Chun-wei
    See COPYRIGHTS file for copyright information.
    ------

 Makefile.am                              |    5 +-
 build/Makefile.am                        |   21 ++
 build/win32/Makefile.am                  |   21 ++
 build/win32/vs10/Makefile.am             |   44 +++
 build/win32/vs10/croco.vcxproj.filtersin |   39 +++
 build/win32/vs10/croco.vcxprojin         |  210 ++++++++++++
 build/win32/vs10/csslint.vcxproj         |  192 +++++++++++
 build/win32/vs10/csslint.vcxproj.filters |   33 ++
 build/win32/vs10/install.vcxproj         |  152 +++++++++
 build/win32/vs10/libcroco.propsin        |  174 ++++++++++
 build/win32/vs10/libcroco.sln            |  116 +++++++
 build/win32/vs10/test0.vcxproj           |  193 +++++++++++
 build/win32/vs10/test0.vcxproj.filters   |   36 ++
 build/win32/vs10/test1.vcxproj           |  193 +++++++++++
 build/win32/vs10/test1.vcxproj.filters   |   36 ++
 build/win32/vs10/test2.vcxproj           |  193 +++++++++++
 build/win32/vs10/test2.vcxproj.filters   |   36 ++
 build/win32/vs10/test3.vcxproj           |  193 +++++++++++
 build/win32/vs10/test3.vcxproj.filters   |   36 ++
 build/win32/vs10/test4.vcxproj           |  193 +++++++++++
 build/win32/vs10/test4.vcxproj.filters   |   36 ++
 build/win32/vs10/test5.vcxproj           |  193 +++++++++++
 build/win32/vs10/test5.vcxproj.filters   |   36 ++
 build/win32/vs10/test6.vcxproj           |  193 +++++++++++
 build/win32/vs10/test6.vcxproj.filters   |   36 ++
 build/win32/vs9/Makefile.am              |   34 ++
 build/win32/vs9/croco.vcprojin           |  229 +++++++++++++
 build/win32/vs9/csslint.vcproj           |  189 +++++++++++
 build/win32/vs9/install.vcproj           |   99 ++++++
 build/win32/vs9/libcroco.sln             |  151 +++++++++
 build/win32/vs9/libcroco.vspropsin       |  132 ++++++++
 build/win32/vs9/test0.vcproj             |  190 +++++++++++
 build/win32/vs9/test1.vcproj             |  190 +++++++++++
 build/win32/vs9/test2.vcproj             |  190 +++++++++++
 build/win32/vs9/test3.vcproj             |  190 +++++++++++
 build/win32/vs9/test4.vcproj             |  190 +++++++++++
 build/win32/vs9/test5.vcproj             |  190 +++++++++++
 build/win32/vs9/test6.vcproj             |  190 +++++++++++
 config.h.win32.in                        |   99 ++++++
 configure.in                             |    7 +
 src/Makefile.am                          |   34 ++
 src/libcroco.symbols                     |  538 ++++++++++++++++++++++++++++++
 42 files changed, 5449 insertions(+), 3 deletions(-)

commit 6637c802c0a4c685a4e1866c9f7b033c2dd78979
Author: Christian Persch <chpe@gnome.org>
Date:   Sun Dec 11 21:34:39 2011 +0100

    Modernise and simplify configure

 configure.in               |  124 ++++++++++++--------------------------------
 csslint/Makefile.am        |    5 +-
 docs/reference/Makefile.am |    2 +
 libcroco.pc.in             |    1 -
 src/Makefile.am            |    6 +--
 src/cr-sel-eng.h           |    6 +--
 src/libcroco-config.h.in   |    5 +-
 tests/Makefile.am          |    4 +-
 8 files changed, 44 insertions(+), 109 deletions(-)

commit fb4164470b49e80f5419ec8188b64d23221ea222
Author: Christian Persch <chpe@gnome.org>
Date:   Sun Dec 11 21:28:25 2011 +0100

    Use -Bsymbolic-functions when available

 acinclude.m4    |  319 +++++++++++++++++++++++++++++++++++++++++++++++++++++++
 configure.in    |   26 +++++
 src/Makefile.am |   46 ++++++---
 3 files changed, 376 insertions(+), 15 deletions(-)

commit 27108d9d98ec7af7926a6fcd9346f38925ce10fe
Author: Christian Persch <chpe@gnome.org>
Date:   Sun Dec 11 21:19:21 2011 +0100

    Use AM_SILENT_RULES

 configure.in |    7 ++++++-
 1 files changed, 6 insertions(+), 1 deletions(-)

commit 34d461d48888047a9ea91bee54e37ce16e38fc8d
Author: Christian Persch <chpe@gnome.org>
Date:   Sun Dec 11 21:15:50 2011 +0100

    Use case-insensitive string comparision of colour names
    
    https://bugzilla.gnome.org/show_bug.cgi?id=459403

 src/cr-rgb.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 9ef72159297dbd5fcfcdd9af97571bfc8f64c366
Author: Christian Persch <chpe@gnome.org>
Date:   Sun Dec 11 21:13:33 2011 +0100

    Use bsearch to find the colour by name

 src/cr-rgb.c |   32 +++++++++++++++++++++-----------
 1 files changed, 21 insertions(+), 11 deletions(-)

commit 60681292639bceee8c9b3b4785bf9aa36de80f12
Author: Christian Persch <chpe@gnome.org>
Date:   Sun Dec 11 20:52:02 2011 +0100

    Fully initialise this static data
    
    Cherry-picked from commit ac3e66fa2bb416507b5b5cf114c1edaa3455f105 .
    
    Also sort the array alphabetically.

 src/cr-rgb.c |  296 +++++++++++++++++++++++++++++-----------------------------
 1 files changed, 148 insertions(+), 148 deletions(-)

commit 269a820d1d721aa3516e44260cd8ce74d86d487f
Author: Christian Persch <chpe@gnome.org>
Date:   Tue Dec 6 18:58:22 2011 +0100

    Also bump LIBCROCO_MICRO_VERSION

 configure.in |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 99d80d31fcbfee72d8d0e81d27a6c6d7988b438a
Author: Maarten Bosmans <mkbosmans@gmail.com>
Date:   Tue Dec 6 18:56:25 2011 +0100

    Use AC_CANONICAL_HOST
    
    https://bugzilla.gnome.org/show_bug.cgi?id=664542

 configure.in |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 4ddf963d58c59760e53849447e750924257af9cc
Author: Christian Persch <chpe@gnome.org>
Date:   Tue Dec 6 18:54:13 2011 +0100

    Post release version bump

 configure.in |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit aca276a7c1489897523b8d0df07d425a7dab319c
Author: Christian Persch <chpe@gnome.org>
Date:   Tue Dec 6 01:35:51 2011 +0100

    Autogenerate ChangeLog

 ChangeLog   | 1880 -----------------------------------------------------------
 Makefile.am |   11 +
 2 files changed, 11 insertions(+), 1880 deletions(-)

commit c7197cad42d6269739f379025c2bec9e474c8027
Author: Tobias Mueller <tobiasmue@gnome.org>
Date:   Sat Jan 29 16:31:30 2011 +0100

    Fixed format string issues by giving static literals, fixes bug 640897

 src/cr-statement.c |   10 +++++-----
 tests/test2-main.c |    8 +++-----
 tests/test3-main.c |    8 +++-----
 3 files changed, 11 insertions(+), 15 deletions(-)

commit df305a1af206f2d946efd5d99db4d7b5c854d066
Author: Felix Riemann <friemann%40gnome.org>
Date:   Tue Dec 6 01:00:12 2011 +0100

    Make colour table const
    
    https://bugzilla.gnome.org/show_bug.cgi?id=546765

 src/cr-rgb.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 2c390e673875e92c58e1bbdfcda0a292d1132070
Author: Christian Persch <chpe@gnome.org>
Date:   Tue Dec 6 00:59:15 2011 +0100

    Add myself to maintainers

 libcroco.doap |    7 +++++++
 1 files changed, 7 insertions(+), 0 deletions(-)

commit 613b29a0cac786b63e57ebead481a50390f86e18
Author: Christian Persch <chpe@gnome.org>
Date:   Mon Nov 14 18:08:45 2011 +0100

    Version 0.6.3

 NEWS         |    7 +++++++
 configure.in |    9 +++++----
 2 files changed, 12 insertions(+), 4 deletions(-)

commit 511a09dfcc59cbec7f5f2e50d17eb833d2fd6628
Author: Abhishek Sharma <sharma.abhishek.it@gmail.com>
Date:   Sun Nov 6 00:28:22 2011 +0530

    Revert "Sending recent tested changes from inkscape developers to libcroco upstream"
    
    This reverts commit ac3e66fa2bb416507b5b5cf114c1edaa3455f105.

 src/cr-additional-sel.c   |  144 +++++----
 src/cr-additional-sel.h   |   34 +--
 src/cr-attr-sel.c         |   84 +++--
 src/cr-attr-sel.h         |    6 +-
 src/cr-cascade.c          |   66 +++--
 src/cr-cascade.h          |    2 +-
 src/cr-declaration.c      |  284 +++++++++--------
 src/cr-declaration.h      |   14 +-
 src/cr-doc-handler.c      |   92 ++++--
 src/cr-doc-handler.h      |   14 +-
 src/cr-enc-handler.c      |   46 ++-
 src/cr-enc-handler.h      |    6 +-
 src/cr-fonts.c            |  293 ++++++++++++++---
 src/cr-fonts.h            |   13 +-
 src/cr-input.c            |  412 ++++++++++++++----------
 src/cr-input.h            |   26 +-
 src/cr-num.c              |   99 ++++---
 src/cr-num.h              |    8 +-
 src/cr-om-parser.c        |  130 +++++----
 src/cr-om-parser.h        |    2 +-
 src/cr-parser.c           |  443 ++++++++++++++++----------
 src/cr-parser.h           |    4 +-
 src/cr-parsing-location.c |   64 +++--
 src/cr-parsing-location.h |    8 +-
 src/cr-prop-list.c        |  126 +++++---
 src/cr-prop-list.h        |    4 +-
 src/cr-pseudo.c           |   48 ++-
 src/cr-pseudo.h           |    4 +-
 src/cr-rgb.c              |  473 +++++++++++++++------------
 src/cr-rgb.h              |   16 +-
 src/cr-sel-eng.h          |    4 +-
 src/cr-selector.c         |   87 ++++--
 src/cr-selector.h         |    6 +-
 src/cr-simple-sel.c       |   75 +++--
 src/cr-simple-sel.h       |   14 +-
 src/cr-statement.c        |  788 ++++++++++++++++++++++++++++-----------------
 src/cr-statement.h        |   44 ++--
 src/cr-string.c           |   25 +-
 src/cr-string.h           |   10 +-
 src/cr-style.c            |  101 +++---
 src/cr-style.h            |    2 +-
 src/cr-stylesheet.c       |   14 +-
 src/cr-stylesheet.h       |    6 +-
 src/cr-term.c             |   50 ++--
 src/cr-term.h             |   10 +-
 src/cr-tknzr.c            |  172 ++++------
 src/cr-token.c            |    5 +-
 src/cr-utils.c            |   19 +-
 src/cr-utils.h            |    9 +-
 49 files changed, 2656 insertions(+), 1750 deletions(-)

commit 50584f3b30393a9c3bbf0a183c663b459d6fa6c6
Author: Christian Persch <chpe@gnome.org>
Date:   Sat Nov 5 19:45:49 2011 +0100

    Adding DOAP file

 MAINTAINERS   |    4 ----
 Makefile.am   |    3 ++-
 libcroco.doap |   29 +++++++++++++++++++++++++++++
 3 files changed, 31 insertions(+), 5 deletions(-)

commit ac3e66fa2bb416507b5b5cf114c1edaa3455f105
Author: Abhishek Sharma <sharma.abhishek.it@gmail.com>
Date:   Sun Jul 3 00:52:21 2011 +0530

    Sending recent tested changes from inkscape developers to libcroco upstream

 src/cr-additional-sel.c   |  144 ++++-----
 src/cr-additional-sel.h   |   34 ++-
 src/cr-attr-sel.c         |   84 ++---
 src/cr-attr-sel.h         |    6 +-
 src/cr-cascade.c          |   66 ++---
 src/cr-cascade.h          |    2 +-
 src/cr-declaration.c      |  284 ++++++++---------
 src/cr-declaration.h      |   14 +-
 src/cr-doc-handler.c      |   92 ++----
 src/cr-doc-handler.h      |   14 +-
 src/cr-enc-handler.c      |   46 +--
 src/cr-enc-handler.h      |    6 +-
 src/cr-fonts.c            |  293 +++--------------
 src/cr-fonts.h            |   13 +-
 src/cr-input.c            |  412 ++++++++++--------------
 src/cr-input.h            |   26 +-
 src/cr-num.c              |   99 +++----
 src/cr-num.h              |    8 +-
 src/cr-om-parser.c        |  130 ++++-----
 src/cr-om-parser.h        |    2 +-
 src/cr-parser.c           |  443 ++++++++++----------------
 src/cr-parser.h           |    4 +-
 src/cr-parsing-location.c |   64 ++---
 src/cr-parsing-location.h |    8 +-
 src/cr-prop-list.c        |  126 +++-----
 src/cr-prop-list.h        |    4 +-
 src/cr-pseudo.c           |   48 +--
 src/cr-pseudo.h           |    4 +-
 src/cr-rgb.c              |  473 ++++++++++++---------------
 src/cr-rgb.h              |   16 +-
 src/cr-sel-eng.h          |    4 +-
 src/cr-selector.c         |   87 ++----
 src/cr-selector.h         |    6 +-
 src/cr-simple-sel.c       |   75 ++---
 src/cr-simple-sel.h       |   14 +-
 src/cr-statement.c        |  788 +++++++++++++++++----------------------------
 src/cr-statement.h        |   44 ++--
 src/cr-string.c           |   25 +-
 src/cr-string.h           |   10 +-
 src/cr-style.c            |  101 +++---
 src/cr-style.h            |    2 +-
 src/cr-stylesheet.c       |   14 +-
 src/cr-stylesheet.h       |    6 +-
 src/cr-term.c             |   50 ++--
 src/cr-term.h             |   10 +-
 src/cr-tknzr.c            |  172 ++++++----
 src/cr-token.c            |    5 +-
 src/cr-utils.c            |   19 +-
 src/cr-utils.h            |    9 +-
 49 files changed, 1750 insertions(+), 2656 deletions(-)

commit 903f13254d71f127bd5221779c3441c93f1ca92b
Author: Abhishek Sharma <sharma.abhishek.it@gmail.com>
Date:   Sun Jun 26 12:02:19 2011 +0530

    Adding libxml2 install check whether its present or not

 configure.in |   15 +++++++++++----
 1 files changed, 11 insertions(+), 4 deletions(-)

commit 60f4fd599b62f3e83f7cedd98cb45723397cac1b
Author: Thomas Wood <thos@src.gnome.org>
Date:   Thu Feb 19 17:07:59 2009 +0000

    Remove test/test-outputs from svn, as it is empty and is deleted by the
    
    * Remove test/test-outputs from svn, as it is empty and is deleted by the test
      script, which causes problems for SVN
    * Add ChangeLog entry for commit 325
    
    svn path=/trunk/; revision=327

 ChangeLog |    8 ++++++++
 1 files changed, 8 insertions(+), 0 deletions(-)

commit 88652f23cb882cc7fb3904c7c9679053672cd33e
Author: Thomas Wood <thos@src.gnome.org>
Date:   Thu Feb 19 16:21:55 2009 +0000

    Remove auto-generated documentation templates
    
    svn path=/trunk/; revision=326

 docs/reference/tmpl/cr-additional-sel.sgml   |  133 ------
 docs/reference/tmpl/cr-attr-sel.sgml         |   81 ----
 docs/reference/tmpl/cr-cascade.sgml          |   85 ----
 docs/reference/tmpl/cr-declaration.sgml      |  225 ----------
 docs/reference/tmpl/cr-doc-handler.sgml      |  142 ------
 docs/reference/tmpl/cr-enc-handler.sgml      |   54 ---
 docs/reference/tmpl/cr-fonts.sgml            |  287 ------------
 docs/reference/tmpl/cr-input.sgml            |  371 ----------------
 docs/reference/tmpl/cr-num.sgml              |   98 ----
 docs/reference/tmpl/cr-om-parser.sgml        |  121 -----
 docs/reference/tmpl/cr-parser.sgml           |  307 -------------
 docs/reference/tmpl/cr-parsing-location.sgml |   80 ----
 docs/reference/tmpl/cr-prop-list.sgml        |  158 -------
 docs/reference/tmpl/cr-pseudo.sgml           |   59 ---
 docs/reference/tmpl/cr-rgb.sgml              |  196 --------
 docs/reference/tmpl/cr-sel-eng.sgml          |  151 -------
 docs/reference/tmpl/cr-selector.sgml         |  119 -----
 docs/reference/tmpl/cr-simple-sel.sgml       |  111 -----
 docs/reference/tmpl/cr-statement.sgml        |  613 --------------------------
 docs/reference/tmpl/cr-string.sgml           |   94 ----
 docs/reference/tmpl/cr-style.sgml            |  266 -----------
 docs/reference/tmpl/cr-stylesheet.sgml       |   98 ----
 docs/reference/tmpl/cr-term.sgml             |  207 ---------
 docs/reference/tmpl/cr-tknzr.sgml            |  261 -----------
 docs/reference/tmpl/cr-token.sgml            |  388 ----------------
 docs/reference/tmpl/cr-utils.sgml            |  283 ------------
 docs/reference/tmpl/libcroco-config.sgml     |   37 --
 docs/reference/tmpl/libcroco.sgml            |   16 -
 28 files changed, 0 insertions(+), 5041 deletions(-)

commit 61c0739dede900122f93065953619794b70d8c06
Author: Thomas Wood <thos@gnome.org>
Date:   Thu Feb 19 16:15:25 2009 +0000

    Add infrastructure to allow gtk-doc documentation to be built.
    
    2009-02-19  Thomas Wood  <thos@gnome.org>
    
    	* Makefile.am:
    	* configure.in:
    	* docs/Makefile.am:
    
    	Add infrastructure to allow gtk-doc documentation to be built.
    
    svn path=/trunk/; revision=325

 Makefile.am      |    2 ++
 configure.in     |    1 +
 docs/Makefile.am |    2 +-
 3 files changed, 4 insertions(+), 1 deletions(-)

commit cad5b6a71c31e0534154b2391a327cf1d5ae234f
Author: Thomas Wood <thos@src.gnome.org>
Date:   Tue Feb 17 11:30:25 2009 +0000

    Remove gtk-doc.make which is overwritten by autogen.sh script
    
    svn path=/trunk/; revision=324

 gtk-doc.make |  153 ----------------------------------------------------------
 1 files changed, 0 insertions(+), 153 deletions(-)

commit 45db58ac0c9078338e70a628fea41bf10d5fa062
Author: Thomas Wood <thos@gnome.org>
Date:   Tue Feb 17 11:25:40 2009 +0000

    ensure the library and compiler flags are not hardcoded into the package
    
    2009-02-17  Thomas Wood  <thos@gnome.org>
    
    	* libcroco.pc.in: ensure the library and compiler flags are not
    	hardcoded into the package config file. (bug 342370)
    
    svn path=/trunk/; revision=323

 ChangeLog      |    5 +++++
 libcroco.pc.in |    4 ++--
 2 files changed, 7 insertions(+), 2 deletions(-)

commit 257ada223535b1d8ebca631cb390a9d6dd518f4e
Author: Thomas Wood <thos@src.gnome.org>
Date:   Mon Feb 9 10:56:40 2009 +0000

    Remove redundant .cvsignore files
    
    svn path=/trunk/; revision=322

 .cvsignore                        |   28 ----------------------------
 csslint/.cvsignore                |    3 ---
 docs/.cvsignore                   |    2 --
 docs/examples/.cvsignore          |    2 --
 docs/reference/.cvsignore         |    3 ---
 src/.cvsignore                    |    3 ---
 src/layeng/.cvsignore             |    2 --
 src/parser/.cvsignore             |    3 ---
 src/seleng/.cvsignore             |    2 --
 tests/.cvsignore                  |    9 ---------
 tests/test-inputs/.cvsignore      |    2 --
 tests/test-output-refs/.cvsignore |    2 --
 tests/test-outputs/.cvsignore     |    1 -
 13 files changed, 0 insertions(+), 62 deletions(-)

commit 846966ae42614a0186061567131c9f982515f429
Author: Thomas Wood <thos@gnome.org>
Date:   Wed Feb 4 10:25:44 2009 +0000

    ============= 0.6.2 release =======================
    
    2009-02-04  Thomas Wood  <thos@gnome.org>
    
    	* NEWS
    	* configure.in
    
    	Update for 0.6.2 release
    
    svn path=/trunk/; revision=320

 ChangeLog    |    9 +++++++++
 NEWS         |   28 ++++++++++++++++++++++++++++
 configure.in |    2 +-
 3 files changed, 38 insertions(+), 1 deletions(-)

commit 8504f82933dd07aad87996fbff711b3ac35bda3c
Author: Robert Staudinger <robsta@src.gnome.org>
Date:   Fri Sep 26 14:32:08 2008 +0000

    Bug 553937 - CRDocHandler instances created with reference count of 0
    
    * src/cr-doc-handler.c (cr_doc_handler_new): Bug 553937 - CRDocHandler instances created with reference count of 0
    
    
    svn path=/trunk/; revision=319

 ChangeLog            |    6 ++++++
 src/cr-doc-handler.c |    1 +
 2 files changed, 7 insertions(+), 0 deletions(-)

commit aaebd96e3fe79421f8c819443b09fb16e473c70a
Author: Peter J. R. Moulder <pjmoulder@src.gnome.org>
Date:   Sun Mar 30 13:02:34 2008 +0000

    minor: (cr_declaration_destroy): Simplify implementation (and assert that next/prev elements point to each other).
    
    svn path=/trunk/; revision=318

 ChangeLog            |    2 ++
 src/cr-declaration.c |   47 +++++++++++------------------------------------
 2 files changed, 13 insertions(+), 36 deletions(-)

commit 53364d93a2752474b205cd718d160d58d5fe773b
Author: Peter J. R. Moulder <pjmoulder@src.gnome.org>
Date:   Sun Mar 30 13:00:23 2008 +0000

    oops, add ChangeLog entries for the last couple of commits.
    
    svn path=/trunk/; revision=317

 ChangeLog |   30 +++++++++++++++++++++++-------
 1 files changed, 23 insertions(+), 7 deletions(-)

commit 1864231ab6bdccbeb2e55144239359ff5580bf65
Author: Peter J. R. Moulder <pjmoulder@src.gnome.org>
Date:   Sun Mar 30 06:06:30 2008 +0000

    doc: Document cr_declaration_new ownership rules.
    
    svn path=/trunk/; revision=316

 src/cr-declaration.c |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit 8b60be7f9ac274c014294c51f88da884a3b0c99f
Author: Peter J. R. Moulder <pjmoulder@src.gnome.org>
Date:   Sun Mar 30 05:43:43 2008 +0000

    Add ‘const’ to various function prototypes, as discussed at http://www.mail-archive.com/libcroco-list@gnome.org/msg00049.html .  This change is a noop in the sense that it has no effect on libcroco's object files, but does affect source-level compatibility, both forwards and backwards — though in practice I'd guess that no existing code will break from this.
    
    svn path=/trunk/; revision=315

 src/cr-additional-sel.c   |    8 +++---
 src/cr-additional-sel.h   |    6 ++--
 src/cr-attr-sel.c         |    6 ++--
 src/cr-attr-sel.h         |    4 +-
 src/cr-declaration.c      |   22 +++++++++---------
 src/cr-declaration.h      |   12 +++++-----
 src/cr-doc-handler.c      |    4 +-
 src/cr-doc-handler.h      |    4 +-
 src/cr-fonts.c            |   54 ++++++++++++++++++++++----------------------
 src/cr-fonts.h            |   10 ++++----
 src/cr-input.c            |   26 ++++++++++----------
 src/cr-input.h            |   26 ++++++++++----------
 src/cr-num.c              |    8 +++---
 src/cr-num.h              |    8 +++---
 src/cr-parser.c           |    4 +-
 src/cr-parser.h           |    4 +-
 src/cr-parsing-location.c |    6 ++--
 src/cr-parsing-location.h |    6 ++--
 src/cr-prop-list.c        |    4 +-
 src/cr-prop-list.h        |    4 +-
 src/cr-pseudo.c           |    4 +-
 src/cr-pseudo.h           |    4 +-
 src/cr-rgb.c              |   12 +++++-----
 src/cr-rgb.h              |   12 +++++-----
 src/cr-selector.c         |    6 ++--
 src/cr-selector.h         |    4 +-
 src/cr-simple-sel.c       |   12 +++++-----
 src/cr-simple-sel.h       |    8 +++---
 src/cr-statement.c        |   52 +++++++++++++++++++++---------------------
 src/cr-statement.h        |   30 ++++++++++++------------
 src/cr-string.c           |   10 ++++----
 src/cr-string.h           |   10 ++++----
 src/cr-stylesheet.c       |    8 +++---
 src/cr-stylesheet.h       |    6 ++--
 src/cr-term.c             |   12 +++++-----
 src/cr-term.h             |    8 +++---
 src/cr-utils.c            |   13 +++++-----
 src/cr-utils.h            |    4 +-
 38 files changed, 221 insertions(+), 220 deletions(-)

commit 71b9dffeed9300e3c1c6168a6023a6ee9a086889
Author: Peter J. R. Moulder <pjmoulder@src.gnome.org>
Date:   Sun Feb 24 04:29:47 2008 +0000

    noop: Fix emacsen mode lines: set indent-tabs-mode to nil instead of invalid value ni.
    
    svn path=/trunk/; revision=314

 src/cr-declaration.c      |    2 +-
 src/cr-declaration.h      |    2 +-
 src/cr-doc-handler.c      |    2 +-
 src/cr-doc-handler.h      |    2 +-
 src/cr-parsing-location.c |    2 +-
 src/cr-parsing-location.h |    2 +-
 src/cr-selector.c         |    2 +-
 src/cr-selector.h         |    2 +-
 src/cr-stylesheet.c       |    2 +-
 9 files changed, 9 insertions(+), 9 deletions(-)

commit d0ec985f7d494fe61d3f76cfbd1db296582ad23a
Author: Kjartan Maraas <kmaraas@src.gnome.org>
Date:   Mon Sep 3 08:06:46 2007 +0000

    Fix MAINTAINERS
    
    svn path=/trunk/; revision=313

 MAINTAINERS |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletions(-)

commit 5066d38ceca39591045d7fd506760f83309ac35f
Author: Bruno Haible <bruno@clisp.org>
Date:   Wed Jan 10 21:37:00 2007 +0000

    Bug 395099 - overly agressive rule matching
    
    2007-01-10  Bruno Haible  <bruno@clisp.org>
    
            * cr-sel-eng.c: Bug 395099 - overly agressive rule matching
    
    
    svn path=/trunk/; revision=312

 ChangeLog        |    1 +
 src/cr-sel-eng.c |   10 +++++++---
 2 files changed, 8 insertions(+), 3 deletions(-)

commit ef258807ec53ed9639dd68e897de98dbe81f408c
Author: Bruno Haible <bruno@clisp.org>
Date:   Wed Jan 10 18:14:16 2007 +0000

    Handle FONT_WEIGHT_INHERIT.
    
    2007-01-10  Bruno Haible  <bruno@clisp.org>
    
            * cr-fonts.c (cr_font_weight_get_bolder): Handle FONT_WEIGHT_INHERIT.
    
    
    svn path=/trunk/; revision=311

 ChangeLog      |    1 +
 src/cr-fonts.c |    5 ++++-
 2 files changed, 5 insertions(+), 1 deletions(-)

commit c86451222851de8afe54f2d894a11d1deca5ea3d
Author: Bruno Haible <bruno@clisp.org>
Date:   Wed Jan 10 18:10:07 2007 +0000

    Remove trailing comma. Needed for compilation on AIX with xlc.
    
    
    2007-01-10  Bruno Haible  <bruno@clisp.org>
    
            * cr-style.h (enum CRPositionType): Remove trailing comma. Needed for
            compilation on AIX with xlc.
    
    
    svn path=/trunk/; revision=310

 ChangeLog      |    7 +++++++
 src/cr-style.h |    2 +-
 2 files changed, 8 insertions(+), 1 deletions(-)

commit 591ca88d3d2780d869ebc444480b584a15c5bd97
Author: Benjamin Dauvergne <feanor@tol-eressea.org>
Date:   Tue Jan 9 21:48:52 2007 +0000

    Bug 314831 - Escapes not recognized
    
    2007-01-09  Benjamin Dauvergne <feanor@tol-eressea.org>
    
            * src/cr-tknzr.c: Bug 314831 - Escapes not recognized
    
    
    svn path=/trunk/; revision=309

 ChangeLog      |    4 ++++
 src/cr-tknzr.c |   33 +++++----------------------------
 2 files changed, 9 insertions(+), 28 deletions(-)

commit fae536e2c9ee18a81472f658a45e628a6b288682
Author: Dom Lachowicz <domlachowicz@gmail.com>
Date:   Tue Jan 9 17:12:56 2007 +0000

    a bug in the class selector code, where it would no\ t require whitespace
    
    2007-01-09  Dom Lachowicz <domlachowicz@gmail.com>
    
            * src/cr-sel-eng.c: a bug in the class selector code, where it would no\
    t require whitespace before the class in a class attribute with multiple classe\
    s.
    
    svn path=/trunk/; revision=308

 ChangeLog        |    4 ++++
 src/cr-sel-eng.c |    4 ++++
 2 files changed, 8 insertions(+), 0 deletions(-)

commit 8bd67a9630e9997126ac2a1cc272a97ec39dd947
Author: Dom Lachowicz <domlachowicz@gmail.com>
Date:   Tue Jan 9 17:07:18 2007 +0000

    gives syntax errors when included twice the return value of
    
    2007-01-09  Dom Lachowicz <domlachowicz@gmail.com>
    
            * src/cr-fonts.h: gives syntax errors when included twice
            * src/cr-fonts.c: the return value of cr_font_family_prepend()
            should be "the font family list", not CR_OK which is the same as NULL.
            * src/cr-fonts.c: the logic of cr_font_weight_get_bolder
            does not take into account the FONT_WEIGHT_INHERIT value, and the
            shift by 1 can yield out-of-range values. Partial fix
    
    
    svn path=/trunk/; revision=307

 ChangeLog      |    5 +++++
 src/cr-fonts.c |    4 ++--
 2 files changed, 7 insertions(+), 2 deletions(-)

commit 1134e3843d5d9f05c8a58196aeeb1f731ee066c0
Author: Dom Lachowicz <domlachowicz@gmail.com>
Date:   Tue Jan 9 17:02:11 2007 +0000

    gives syntax errors when included twice
    
    2007-01-09  Dom Lachowicz <domlachowicz@gmail.com>
    
            * src/cr-fonts.h: gives syntax errors when included twice
    
    
    svn path=/trunk/; revision=306

 ChangeLog      |    4 ++++
 src/cr-fonts.h |    3 ++-
 2 files changed, 6 insertions(+), 1 deletions(-)

commit 888934343d8919ecc66eca133be09704c9043968
Author: Benjamin Dauvergne <feanor@tol-eressea.org>
Date:   Tue Jan 9 16:49:57 2007 +0000

    Bug 394294 - Escape are wrongly computed
    
    2007-01-09  Benjamin Dauvergne <feanor@tol-eressea.org>
    
            * src/cr-tknzr.c: Bug 394294 - Escape are wrongly computed
    
    
    svn path=/trunk/; revision=305

 ChangeLog      |    1 +
 src/cr-tknzr.c |    2 +-
 2 files changed, 2 insertions(+), 1 deletions(-)

commit a40cb68d898e8a3482de6335c78e636c09e1fbe1
Author: Benjamin Dauvergne <feanor@tol-eressea.org>
Date:   Tue Jan 9 16:46:09 2007 +0000

    Bug 139878 - keep end of ruleset parsing location, a\ nd give it to the
    
    2007-01-09  Benjamin Dauvergne <feanor@tol-eressea.org>
    
            * src/cr-parser.c: Bug 139878 - keep end of ruleset parsing location, a\
    nd give it to the end_selector sac-handler.
    
    svn path=/trunk/; revision=304

 ChangeLog       |    1 +
 src/cr-parser.c |    3 +++
 2 files changed, 4 insertions(+), 0 deletions(-)

commit 33a38c78bf2d50bb4cb9d6335c7908bfb6db39eb
Author: Benjamin Dauvergne <feanor@tol-eressea.org>
Date:   Tue Jan 9 16:43:14 2007 +0000

    Bug 394680 - problem parsing function name starting w\ ith 'u' or 'r'
    
    2007-01-09  Benjamin Dauvergne <feanor@tol-eressea.org>
    
            * src/cr-tknzr.c: Bug 394680 - problem parsing function name starting w\
    ith 'u' or 'r'
    
    
    svn path=/trunk/; revision=303

